This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 40802 - tar segfaults on inaccessible directories in incremental mode
tar segfaults on inaccessible directories in incremental mode
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tar (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-15 20:54 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-15 20:54:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-15 20:54:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2smp i586)

Description of problem:
tar passes a null pointer to strlen() and segfaults when it it hits an
inaccessible directory

How reproducible:
Always

Steps to Reproduce:
1.mkdir tarbug
2.chmod 0 tarbug
3.tar -c -f /dev/null --listed-incremental inc.out tarbug


Actual Results:  tar: tarbug: Cannot savedir: Permission denied
Segmentation fault


Expected Results:  tar: tarbug: Cannot savedir: Permission denied


Additional info:
Comment 1 Bernhard Rosenkraenzer 2001-05-17 08:18:34 EDT
Fixed in 1.13.19-5

Note You need to log in before you can comment on or make changes to this bug.